## samdump2 1.1.0

=== Makefile ===
# Copyright (C) 2006, Adam Cécile (Le_Vert) <gandalf@le-vert.net>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-13, USA


# General variables
DESTDIR  = 
PREFIX   = /usr/local/
BINDIR   = $(PREFIX)/bin
MANDIR   = $(PREFIX)/share/man/man1
INSTALL  = $(shell which install)
CC	 = $(shell which gcc)
CFLAGS   =
LIBS     = -lssl

# Default target
all: build

# Show some informations
infos:
	@echo ""
	@echo "###############################################################"
	@echo "Samdump2 1.0.0 : Dump Windows 2k/NT/XP password hashes"
	@echo ""
	@echo "Copyright (C) 2004-2006 Nicola Cuomo <ncuomo@studenti.unina.it>"
	@echo "Distributed under terms of GNU General Public License version 2"
	@echo "###############################################################"
	@echo ""

# Build target
build: infos samdump2

samdump2: hive.o samdump2.o 
	@echo "Building binary..."
	$(CC) -o $@ $^ $(CFLAGS) $(LIBS)
	@echo ""

# Clean target
clean:
	@echo "Cleaning sources..."
	rm -f *.o samdump2 *~
	@echo ""

# Install target
install: build infos
	@echo "Creating directories..."
	$(INSTALL) -d -m 755 -o root -g root $(DESTDIR)$(BINDIR)
	$(INSTALL) -d -m 755 -o root -g root $(DESTDIR)$(MANDIR)
	@echo "Copying binary..."
	$(INSTALL) samdump2 -m 755 -o root -g root $(DESTDIR)$(BINDIR)
	@echo "Installing man page..."
	$(INSTALL) samdump2.1 -m 644 -o root -g root $(DESTDIR)$(MANDIR)
	@echo ""

# Uninstall target
uninstall: infos
	@echo "Deleting binary and manpages..."
	rm -f $(DESTDIR)$(BINDIR)/samdump2
	rm -f $(DESTDIR)$(MANDIR)/samdump2.1
	@echo ""

## samdump2 1.1.1

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 MANDIR   = $(PREFIX)/share/man/man1
 INSTALL  = $(shell which install)
 CC	 = $(shell which gcc)
-CFLAGS   =
+CFLAGS   = 
 LIBS     = -lssl
 
 # Default target

## samdump2 3.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (C) 2006, Adam Cécile (Le_Vert) <gandalf@le-vert.net>
+#	    (C) 2008, Cedric Tissieres <http://www.objectif-securite.ch>
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,33 +17,27 @@
 
 
 # General variables
-DESTDIR  = 
-PREFIX   = /usr/local/
-BINDIR   = $(PREFIX)/bin
-MANDIR   = $(PREFIX)/share/man/man1
-INSTALL  = $(shell which install)
-CC	 = $(shell which gcc)
-CFLAGS   = 
-LIBS     = -lssl
+PACKAGE   = samdump2
+VERSION   = 3.0.0
+distdir   = $(PACKAGE)-$(VERSION)
+DISTFILES = AUTHORS ChangeLog hive.c LICENSE list.h Makefile\
+	samdump2.1 samdump2.h bkhive.c COPYING hive.h list.c\
+	main.c README samdump2.c dumpsam.c ntdll.h
+DESTDIR   = 
+PREFIX    = /usr/local/
+BINDIR    = $(PREFIX)/bin
+MANDIR    = $(PREFIX)/share/man/man1
+INSTALL   = $(shell which install)
+CC	  = $(shell which gcc)
+CFLAGS    = -Wall 
+LIBS      = -lssl
 
 # Default target
 all: build
 
-# Show some informations
-infos:
-	@echo ""
-	@echo "###############################################################"
-	@echo "Samdump2 1.0.0 : Dump Windows 2k/NT/XP password hashes"
-	@echo ""
-	@echo "Copyright (C) 2004-2006 Nicola Cuomo <ncuomo@studenti.unina.it>"
-	@echo "Distributed under terms of GNU General Public License version 2"
-	@echo "###############################################################"
-	@echo ""
+build: samdump2
 
-# Build target
-build: infos samdump2
-
-samdump2: hive.o samdump2.o 
+samdump2: hive.o list.o bkhive.o samdump2.o main.o dumpsam.o
 	@echo "Building binary..."
 	$(CC) -o $@ $^ $(CFLAGS) $(LIBS)
 	@echo ""
@@ -70,4 +65,11 @@
 	rm -f $(DESTDIR)$(BINDIR)/samdump2
 	rm -f $(DESTDIR)$(MANDIR)/samdump2.1
 	@echo ""
- 
+
+dist: clean
+	rm -rf $(distdir)
+	mkdir $(distdir)
+	cp $(DISTFILES) $(distdir)
+	tar cfj $(distdir).tar.bz2 $(distdir)
+	rm -rf $(distdir)
+

=== debian/changelog ===
samdump2 (3.0.0-8) unstable; urgency=medium

  * Team Upload
  * Set "Rules-Requires-Root: no" & patch Makefile as needed.

  [ Debian Janitor ]
  * Remove unnecessary constraints
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 19:37:48 +0100

samdump2 (3.0.0-7) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Drop bkhive transitional package (Closes: #878861)
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 28 Nov 2019 17:54:35 +0100

samdump2 (3.0.0-6) unstable; urgency=medium

  * Adopt package under the pkg-security team's umbrella. Closes: #673963
  * Add Vcs-Git and Vcs-Browser fields.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Nov 2016 17:13:20 +0100

samdump2 (3.0.0-5) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/copyright: updated the packaging copyright data.
  * debian/patches/:
      - Renamed all patches to organize the folder.
      - Added a header to openssl.patch (now 50_openssl.patch).
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 22 Nov 2016 12:29:08 -0200

samdump2 (3.0.0-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with openssl 1.1.0. Thanks to Adrian Bunk. (Closes: #828537)
  * Bump Standards-Version to 3.9.8.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Nov 2016 13:57:35 +0000

samdump2 (3.0.0-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Bumped the Standard-Version to 3.9.6.
  * debian/copyright:
      - Added email of Cedric Tissieres.
      - Added email of Bertrand Mesot.
      - Fixed Files: and Copyright: fields of list.* files.
      - Added Ansgar Burchardt to debian/* copyright.
      - Fixed Adam Cécile years copyright.
  * debian/rules:
      - Removed some extra comments.
      - Added DEB_BUILD_MAINT_OPTIONS for hardening.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 13 Aug 2015 21:13:00 -0300

samdump2 (3.0.0-2) unstable; urgency=medium

  * QA upload.
  * Fix breaks/replaces for bkhive.  Closes: #760723

 -- Unit 193 <unit193@ubuntu.com>  Mon, 08 Sep 2014 17:30:56 -0400

samdump2 (3.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - bkhive was merged into samdump2 upstream.  Closes: #673945
  * Add a transitional package for bkhive.
  * Merge packages descriptions.
  * Fix debian/watch.
  * Update debian/rules to dh sequencer.
  * Use debhelper 9.
  * Update Standards-Version to 3.9.5
  * Update to source format 3.0 (quilt).
  * Update debian/copyright to format 1.0.
  * d/patches/manpage_formatting.patch: Make the manpage easier to read,
    point to the 'GPL-2' rather than 'GPL' on Debian systems,
    bad wathis manpage entry.
  * Add install_infos.patch: fixes install target.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 31 Jul 2014 00:44:51 -0400

samdump2 (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Link with -lcrypto instead of -lssl. (Closes: #556335)
  * debian/rules: Use dh_prep instead of dh_clean -k.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 04 Jun 2011 09:56:51 +0200

samdump2 (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch (Closes: #453564).
  * Fix wathis manpage entry (bad SH NAME section).
  * Move homepage to new dpkg field.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 02 Dec 2007 14:54:59 +0100

samdump2 (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #392905).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 14 Oct 2006 07:10:23 +0200

=== debian/control ===
Source: samdump2
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 13), libssl-dev
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://ophcrack.sourceforge.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/samdump2.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/samdump2

Package: samdump2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ophcrack
Description: Dump Windows 2k/NT/XP password hashes
 This tool is designed to dump Windows 2k/NT/XP password hashes from a SAM
 file, using the syskey bootkey from the system hive.
 .
 This package also provides the functionality of bkhive, which recovers the
 syskey bootkey from a Windows NT/2K/XP system hive.
 .
 Syskey is a Windows feature that adds an additional encryption layer to the
 password hashes stored in the SAM database.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install --destdir debian/samdump2/

=== debian/watch ===
version=4
https://sf.net/ophcrack/samdump2-(.+)\.tar\.(?:xz|gz|bz2)
